# GstJpeg2000Sampling

## Functions

### gst_jpeg2000_colorspace_from_string

    GstJPEG2000Colorspace
    gst_jpeg2000_colorspace_from_string (gchar* colorspace_string)

Parameters:

`colorspace_string` –
No description available
Returns (GstJPEG2000Colorspace) –
No description available

### gst_jpeg2000_colorspace_to_string

    gchar*
    gst_jpeg2000_colorspace_to_string (GstJPEG2000Colorspace colorspace)

Parameters:

`colorspace` –
No description available
Returns (gchar*) –
No description available

### gst_jpeg2000_sampling_from_string

    GstJPEG2000Sampling
    gst_jpeg2000_sampling_from_string (gchar* sampling_string)

Parameters:

`sampling_string` –
No description available
Returns (GstJPEG2000Sampling) –
No description available

### gst_jpeg2000_sampling_is_mono

    gboolean
    gst_jpeg2000_sampling_is_mono (GstJPEG2000Sampling sampling)

Parameters:

`sampling` –
No description available
Returns (gboolean) –
No description available

### gst_jpeg2000_sampling_is_rgb

    gboolean
    gst_jpeg2000_sampling_is_rgb (GstJPEG2000Sampling sampling)

Parameters:

`sampling` –
No description available
Returns (gboolean) –
No description available

### gst_jpeg2000_sampling_is_yuv

    gboolean
    gst_jpeg2000_sampling_is_yuv (GstJPEG2000Sampling sampling)

Parameters:

`sampling` –
No description available
Returns (gboolean) –
No description available

### gst_jpeg2000_sampling_to_string

    gchar*
    gst_jpeg2000_sampling_to_string (GstJPEG2000Sampling sampling)

Parameters:

`sampling` –
No description available
Returns (gchar*) –
No description available

## Aliases

### GstJPEG2000Colorspace

    typedef enum GstJPEG2000Colorspace GstJPEG2000Colorspace

### GstJPEG2000Sampling

    typedef enum GstJPEG2000Sampling GstJPEG2000Sampling

Sampling values from RF 5371 for JPEG 2000 over RTP : https://datatracker.ietf.org/doc/rfc5371/C Note: sampling extensions that are not listed in the RFC are signified by an _EXT at the end of the enum

The results of the search are